# Dockerized Unbound for caching purposes

[![Build Status](https://drone.asperti.com/api/badges/paspo/docker-dnscache/status.svg)](https://drone.asperti.com/paspo/docker-dnscache)

## Usage with docker compose

```yaml
version: '3.9'

services:
  dns:
    image: docker.asperti.com/paspo/dnscache:latest
    container_name: zabbix-dns
    ports:
      - 127.0.0.1:1053:1053
      - 127.0.0.1:1053:1053/udp
      - 127.0.0.1:8000:8000  # dns proxy
    environment:
      LOGS: true
      LOGDIR: /logs
      PORT: 1053
      VERBOSITY: 1
      DNSPROXY: true
      ACCESSLOG: true
    volumes:
      - ./logs:/logs
```

## Usage with docker

```sh
docker run --rm --name zabbix-dns \
  -p "1053:1053" -p "1053:1053/udp" \
  -ti docker.asperti.com/paspo/dnscache:latest
```

## test drone config

```sh
drone starlark --format  --stdout 
```
